
module Crusade
  module GCM
    class Configuration
      attr_accessor :client_id, :client_secret, :refresh_token, :token_cache

      def initialize(args = {})
        self.client_id     = args[:client_id]
        self.client_secret = args[:client_secret]
        self.refresh_token = args[:refresh_token]
        self.token_cache   = args.fetch(:token_cache) { InMemoryCache }
      end
    end
  end
end